<ng-template #ghostRef></ng-template>

<header>
  <nav class="menu">
    <ul class="menu__row">
      <li class="menu__row__item" [matTooltip]="'mainLayout.header.logout' | translate" *ngIf="me">
        <button type="button" (click)="logout()">
          <mat-icon>logout</mat-icon>
        </button>
      </li>
      <li class="menu__row__item" [matTooltip]="'mainLayout.header.login' | translate" *ngIf="!me">
        <a [routerLink]="['/', 'login']">
          <mat-icon>login</mat-icon>
        </a>
      </li>
      <li class="menu__row__item" [matTooltip]="'mainLayout.header.home' | translate" *ngIf="me">
        <a [routerLink]="['/', 'home']">
          <mat-icon>home</mat-icon>
        </a>
      </li>
    </ul>
  </nav>
  <div class="title">
    <h1 class="top-appear">{{ ressource?.label }}</h1>
    <h2 class="top-appear">{{ 'sharedList.subtitle' | translate }}</h2>
  </div>
</header>

<section class="serie-container" *ngIf="!ghosts.length; else ghostRef">
  <div class="series">
    <ng-container *ngFor="let item of list">
      <ng-template #buttonRemoveRef>
        <button mat-icon-button type="button" color="warn" (click)="delete(item)">
          <mat-icon>delete</mat-icon>
        </button>
      </ng-template>
      <sfl-card [media]="item" [customButtonRef]="buttonRemoveRef" [editable]="me?._id === ressource.author._id"></sfl-card>
    </ng-container>
  </div>
</section>

<section class="comment-container" *ngIf="false">
  <div class="comment" *ngFor="let comment of comments">
    <p>{{ comment }}</p>
  </div>
  <form
    [formGroup]="commentformGroup"
    (ngSubmit)="submit()"
    fxLayout="row"
    fxLayoutAlign="space-between end"
    [ngClass]="{ focus: commentFocus }"
  >
    <mat-form-field>
      <textarea
        matInput
        formControlName="comment"
        [rows]="commentFocus ? 5 : 2"
        (blur)="commentFocus = false"
        (focus)="commentFocus = true"
        [placeholder]="'sharedList.comments.form.field.comment' | translate"
      ></textarea>
    </mat-form-field>
    <button mat-icon-button type="submit"><mat-icon>send</mat-icon></button>
  </form>
</section>
